Index: freebsd/sbin/ifconfig/ifbridge.c
===================================================================
--- freebsd/sbin/ifconfig/ifbridge.c	(revision c14bb231175134bf0ea6c269984f27a0f90ca977)
+++ freebsd/sbin/ifconfig/ifbridge.c	(revision 13b50b37cc0b33e50cbee9ee3623b82d43ccba49)
@@ -72,5 +72,5 @@
 } while (0)
 
-static const char *stpstates[] = {
+static const char *const stpstates[] = {
 	"disabled",
 	"listening",
@@ -80,10 +80,10 @@
 	"discarding"
 };
-static const char *stpproto[] = {
+static const char *const stpproto[] = {
 	"stp",
 	"-",
 	"rstp"
 };
-static const char *stproles[] = {
+static const char *const stproles[] = {
 	"disabled",
 	"root",
Index: freebsd/sbin/ifconfig/ifcarp.c
===================================================================
--- freebsd/sbin/ifconfig/ifcarp.c	(revision c14bb231175134bf0ea6c269984f27a0f90ca977)
+++ freebsd/sbin/ifconfig/ifcarp.c	(revision 13b50b37cc0b33e50cbee9ee3623b82d43ccba49)
@@ -51,5 +51,5 @@
 #include "ifconfig.h"
 
-static const char *carp_states[] = { CARP_STATES };
+static const char *const carp_states[] = { CARP_STATES };
 
 void carp_status(int s);
Index: freebsd/sbin/ifconfig/ifgif.c
===================================================================
--- freebsd/sbin/ifconfig/ifgif.c	(revision c14bb231175134bf0ea6c269984f27a0f90ca977)
+++ freebsd/sbin/ifconfig/ifgif.c	(revision 13b50b37cc0b33e50cbee9ee3623b82d43ccba49)
@@ -54,5 +54,5 @@
 static void	gif_status(int);
 
-static struct {
+static const struct {
 	const char	*label;
 	u_int		mask;
Index: freebsd/sbin/ifconfig/ifieee80211.c
===================================================================
--- freebsd/sbin/ifconfig/ifieee80211.c	(revision c14bb231175134bf0ea6c269984f27a0f90ca977)
+++ freebsd/sbin/ifconfig/ifieee80211.c	(revision 13b50b37cc0b33e50cbee9ee3623b82d43ccba49)
@@ -2476,5 +2476,5 @@
 {
 #define	MS(_v, _f)	(((_v) & _f) >> _f##_S)
-	static const char *acnames[] = { "BE", "BK", "VO", "VI" };
+	static const char *const acnames[] = { "BE", "BK", "VO", "VI" };
 	const struct ieee80211_wme_param *wme =
 	    (const struct ieee80211_wme_param *) ie;
@@ -2845,5 +2845,5 @@
 	printf("%s", tag);
 	if (verbose) {
-		static const char *dev_pass_id[] = {
+		static const char *const dev_pass_id[] = {
 			"D",	/* Default (PIN) */
 			"U",	/* User-specified */
@@ -3398,5 +3398,5 @@
 {
 #define	N(a)	(sizeof(a) / sizeof(a[0]))
-	static const char *state_names[] = {
+	static const char *const state_names[] = {
 	    [0] = "IDLE",
 	    [1] = "OPEN-TX",
@@ -3727,5 +3727,5 @@
 list_wme(int s)
 {
-	static const char *acnames[] = { "AC_BE", "AC_BK", "AC_VI", "AC_VO" };
+	static const char *const acnames[] = { "AC_BE", "AC_BK", "AC_VI", "AC_VO" };
 	int ac;
 
Index: freebsd/sbin/ifconfig/ifmedia.c
===================================================================
--- freebsd/sbin/ifconfig/ifmedia.c	(revision c14bb231175134bf0ea6c269984f27a0f90ca977)
+++ freebsd/sbin/ifconfig/ifmedia.c	(revision 13b50b37cc0b33e50cbee9ee3623b82d43ccba49)
@@ -94,12 +94,12 @@
 static int	get_media_mode(int, const char *);
 static int	get_media_options(int, const char *);
-static int	lookup_media_word(struct ifmedia_description *, const char *);
+static int	lookup_media_word(const struct ifmedia_description *, const char *);
 static void	print_media_word(int, int);
 static void	print_media_word_ifconfig(int);
 
-static struct ifmedia_description *get_toptype_desc(int);
-static struct ifmedia_type_to_subtype *get_toptype_ttos(int);
-static struct ifmedia_description *get_subtype_desc(int,
-    struct ifmedia_type_to_subtype *ttos);
+static const struct ifmedia_description *get_toptype_desc(int);
+static const struct ifmedia_type_to_subtype *get_toptype_ttos(int);
+static const struct ifmedia_description *get_subtype_desc(int,
+    const struct ifmedia_type_to_subtype *ttos);
 
 #define	IFM_OPMODE(x) \
@@ -363,78 +363,78 @@
  **********************************************************************/
 
-static struct ifmedia_description ifm_type_descriptions[] =
+static const struct ifmedia_description ifm_type_descriptions[] =
     IFM_TYPE_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_ethernet_descriptions[] =
+static const struct ifmedia_description ifm_subtype_ethernet_descriptions[] =
     IFM_SUBTYPE_ETHERNET_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_ethernet_aliases[] =
+static const struct ifmedia_description ifm_subtype_ethernet_aliases[] =
     IFM_SUBTYPE_ETHERNET_ALIASES;
 
-static struct ifmedia_description ifm_subtype_ethernet_option_descriptions[] =
+static const struct ifmedia_description ifm_subtype_ethernet_option_descriptions[] =
     IFM_SUBTYPE_ETHERNET_OPTION_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_tokenring_descriptions[] =
+static const struct ifmedia_description ifm_subtype_tokenring_descriptions[] =
     IFM_SUBTYPE_TOKENRING_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_tokenring_aliases[] =
+static const struct ifmedia_description ifm_subtype_tokenring_aliases[] =
     IFM_SUBTYPE_TOKENRING_ALIASES;
 
-static struct ifmedia_description ifm_subtype_tokenring_option_descriptions[] =
+static const struct ifmedia_description ifm_subtype_tokenring_option_descriptions[] =
     IFM_SUBTYPE_TOKENRING_OPTION_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_fddi_descriptions[] =
+static const struct ifmedia_description ifm_subtype_fddi_descriptions[] =
     IFM_SUBTYPE_FDDI_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_fddi_aliases[] =
+static const struct ifmedia_description ifm_subtype_fddi_aliases[] =
     IFM_SUBTYPE_FDDI_ALIASES;
 
-static struct ifmedia_description ifm_subtype_fddi_option_descriptions[] =
+static const struct ifmedia_description ifm_subtype_fddi_option_descriptions[] =
     IFM_SUBTYPE_FDDI_OPTION_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_ieee80211_descriptions[] =
+static const struct ifmedia_description ifm_subtype_ieee80211_descriptions[] =
     IFM_SUBTYPE_IEEE80211_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_ieee80211_aliases[] =
+static const struct ifmedia_description ifm_subtype_ieee80211_aliases[] =
     IFM_SUBTYPE_IEEE80211_ALIASES;
 
-static struct ifmedia_description ifm_subtype_ieee80211_option_descriptions[] =
+static const struct ifmedia_description ifm_subtype_ieee80211_option_descriptions[] =
     IFM_SUBTYPE_IEEE80211_OPTION_DESCRIPTIONS;
 
-struct ifmedia_description ifm_subtype_ieee80211_mode_descriptions[] =
+static const struct ifmedia_description ifm_subtype_ieee80211_mode_descriptions[] =
     IFM_SUBTYPE_IEEE80211_MODE_DESCRIPTIONS;
 
-struct ifmedia_description ifm_subtype_ieee80211_mode_aliases[] =
+static const struct ifmedia_description ifm_subtype_ieee80211_mode_aliases[] =
     IFM_SUBTYPE_IEEE80211_MODE_ALIASES;
 
-static struct ifmedia_description ifm_subtype_atm_descriptions[] =
+static const struct ifmedia_description ifm_subtype_atm_descriptions[] =
     IFM_SUBTYPE_ATM_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_atm_aliases[] =
+static const struct ifmedia_description ifm_subtype_atm_aliases[] =
     IFM_SUBTYPE_ATM_ALIASES;
 
-static struct ifmedia_description ifm_subtype_atm_option_descriptions[] =
+static const struct ifmedia_description ifm_subtype_atm_option_descriptions[] =
     IFM_SUBTYPE_ATM_OPTION_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_shared_descriptions[] =
+static const struct ifmedia_description ifm_subtype_shared_descriptions[] =
     IFM_SUBTYPE_SHARED_DESCRIPTIONS;
 
-static struct ifmedia_description ifm_subtype_shared_aliases[] =
+static const struct ifmedia_description ifm_subtype_shared_aliases[] =
     IFM_SUBTYPE_SHARED_ALIASES;
 
-static struct ifmedia_description ifm_shared_option_descriptions[] =
+static const struct ifmedia_description ifm_shared_option_descriptions[] =
     IFM_SHARED_OPTION_DESCRIPTIONS;
 
 struct ifmedia_type_to_subtype {
 	struct {
-		struct ifmedia_description *desc;
+		const struct ifmedia_description *desc;
 		int alias;
 	} subtypes[5];
 	struct {
-		struct ifmedia_description *desc;
+		const struct ifmedia_description *desc;
 		int alias;
 	} options[3];
 	struct {
-		struct ifmedia_description *desc;
+		const struct ifmedia_description *desc;
 		int alias;
 	} modes[3];
@@ -442,5 +442,5 @@
 
 /* must be in the same order as IFM_TYPE_DESCRIPTIONS */
-static struct ifmedia_type_to_subtype ifmedia_types_to_subtypes[] = {
+static const struct ifmedia_type_to_subtype ifmedia_types_to_subtypes[] = {
 	{
 		{
@@ -535,6 +535,6 @@
 get_media_subtype(int type, const char *val)
 {
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 	int rval, i;
 
@@ -559,6 +559,6 @@
 get_media_mode(int type, const char *val)
 {
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 	int rval, i;
 
@@ -582,6 +582,6 @@
 get_media_options(int type, const char *val)
 {
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 	char *optlist, *optptr;
 	int option = 0, i, rval = 0;
@@ -621,5 +621,5 @@
 
 static int
-lookup_media_word(struct ifmedia_description *desc, const char *val)
+lookup_media_word(const struct ifmedia_description *desc, const char *val)
 {
 
@@ -631,7 +631,7 @@
 }
 
-static struct ifmedia_description *get_toptype_desc(int ifmw)
-{
-	struct ifmedia_description *desc;
+static const struct ifmedia_description *get_toptype_desc(int ifmw)
+{
+	const struct ifmedia_description *desc;
 
 	for (desc = ifm_type_descriptions; desc->ifmt_string != NULL; desc++)
@@ -642,8 +642,8 @@
 }
 
-static struct ifmedia_type_to_subtype *get_toptype_ttos(int ifmw)
-{
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+static const struct ifmedia_type_to_subtype *get_toptype_ttos(int ifmw)
+{
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 
 	for (desc = ifm_type_descriptions, ttos = ifmedia_types_to_subtypes;
@@ -655,9 +655,9 @@
 }
 
-static struct ifmedia_description *get_subtype_desc(int ifmw, 
-    struct ifmedia_type_to_subtype *ttos)
+static const struct ifmedia_description *get_subtype_desc(int ifmw, 
+    const struct ifmedia_type_to_subtype *ttos)
 {
 	int i;
-	struct ifmedia_description *desc;
+	const struct ifmedia_description *desc;
 
 	for (i = 0; ttos->subtypes[i].desc != NULL; i++) {
@@ -674,9 +674,9 @@
 }
 
-static struct ifmedia_description *get_mode_desc(int ifmw, 
-    struct ifmedia_type_to_subtype *ttos)
+static const struct ifmedia_description *get_mode_desc(int ifmw, 
+    const struct ifmedia_type_to_subtype *ttos)
 {
 	int i;
-	struct ifmedia_description *desc;
+	const struct ifmedia_description *desc;
 
 	for (i = 0; ttos->modes[i].desc != NULL; i++) {
@@ -696,6 +696,6 @@
 print_media_word(int ifmw, int print_toptype)
 {
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 	int seen_option = 0, i;
 
@@ -756,6 +756,6 @@
 print_media_word_ifconfig(int ifmw)
 {
-	struct ifmedia_description *desc;
-	struct ifmedia_type_to_subtype *ttos;
+	const struct ifmedia_description *desc;
+	const struct ifmedia_type_to_subtype *ttos;
 	int seen_option = 0, i;
 
